###############################################################################

require 'helm-wrapper'

###############################################################################

registry             = {}
registry['name']     = 'registry.gitlab.com'
registry['type']     = 'oci'
registry['url']      = 'https://registry.gitlab.com'
registry['username'] = 'CI_REGISTRY_USER'
registry['password'] = 'CI_REGISTRY_PASSWORD'

###############################################################################

repository = 'bitservices/helm'

###############################################################################

options = {}

###############################################################################

options['binary-base']    = ENV['HELM_BINARY_CACHE'] ||= File.join(Dir.pwd, 'vendor', 'helm')
options['binary-version'] = 'v3.10.2'
options['chart-repos']    = Array.new([registry])

###############################################################################

namespace :chart do
  path = File.join(Dir.pwd, Rake.application.current_scope.path)

  destination = "#{registry['type']}://#{registry['name']}/#{repository}"

  HelmWrapper.development_tasks(path: path, destination: destination, options: options)
end

###############################################################################
